import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';

@Component({
  selector: 'app-profile',
  templateUrl: './profile.page.html',
  styleUrls: ['./profile.page.scss'],
})
export class ProfilePage {
  nickname: string = '用户昵称';
  days: number = 123; // 模拟数据，可根据实际情况修改

  constructor(private navCtrl: NavController) {}

  goToHelpPage() {
    this.navCtrl.navigateForward('/help');
  }

  goToProfileInfo() {
    this.navCtrl.navigateForward('/profile-info');
  }

  goToStatsReport() {
    this.navCtrl.navigateForward('/stats-report');
  }

  share() {
    // 分享功能实现
  }

  backup() {
    // 备份功能实现
  }

  restore() {
    // 恢复功能实现
  }

  sync() {
    // 云同步功能实现
  }

  clearCache() {
    // 清除缓存功能实现
  }

  clearStats() {
    // 清除统计数据功能实现
  }

  changeLanguage() {
    // 语言设置功能实现
  }
}
